Imports System.Windows
Imports System.ComponentModel
Imports Microsoft.Kinect
Imports Microsoft.Speech.Recognition

''' <summary>
'''  Interaction logic for MainWindow.xaml
''' </summary>
''' <remarks></remarks>
Class MainWindow
    Implements INotifyPropertyChanged

    Private _kinectSensor As KinectSensor
    Private _sre As SpeechRecognitionEngine
    Private _source As KinectAudioSource

    Public Sub New()

        ' この呼び出しはデザイナーで必要です。
        InitializeComponent()

        ' InitializeComponent() 呼び出しの後で初期化を追加します。
        Me.DataContext = Me
        'TODO: implement
    End Sub

    Sub nui_SkeletonFrameReady(sender As Object, e As SkeletonFrameReadyEventArgs)
        'TODO: implement
    End Sub

    Private Function CreateAudioSource() As KinectAudioSource
        'TODO: implement
    End Function

    Private Sub StartSpeechRecognition()
        'TODO: implement
    End Sub

    Private Sub CreateGrammars(ri As RecognizerInfo)
        'TODO: implement
    End Sub

    Sub sre_SpeechRecognitionRejected(sender As Object, e As SpeechRecognitionRejectedEventArgs)
        'TODO: implement
    End Sub

    Sub sre_SpeechHypothesized(sender As Object, e As SpeechHypothesizedEventArgs)
        'TODO: implement
    End Sub

    Sub sre_SpeechRecognized(sender As Object, e As SpeechRecognizedEventArgs)
        'TODO: implement
    End Sub

    Private Sub InterpretCommand(e As SpeechRecognizedEventArgs)
        'TODO: implement
    End Sub

    Public Event PropertyChanged(sender As Object, e As System.ComponentModel.PropertyChangedEventArgs) Implements System.ComponentModel.INotifyPropertyChanged.PropertyChanged

    Private Sub NotifyPropertyChanged(propertyName As String)
        'TODO: implement
    End Sub

End Class
